@if (componentData$ | async; as componentData) {
  <sqtm-core-workspace-with-grid
    [licenseInformation]="referentialDataService.licenseInformation$ | async"
    [licenseBannerPlacement]="'WORKSPACES'"
    [isLoggedAsAdmin]="referentialDataService.isAdmin() | async"
    [workspaceTheme]="'automation-workspace'"
    [name]="'automation-tester-workspace'"
    [rootUrl]="[
      'automation-workspace',
      'functional-tester-workspace',
      'global'
    ]"
    [entityIdPositionInUrl]="3"
  >
    <sqtm-core-nav-bar
      class="full-height"
      projection="navBar"
    ></sqtm-core-nav-bar>
    <div
      projection="grid"
      class="flex-column full-height full-width overflow-hidden p-r-10"
    >
      <div class="full-height full-width overflow-hidden flex-column">
        <sqtm-app-automation-workspace-header
          [helpI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.global-view.help'
          "
          [mainTitleI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.title'
          "
          [tableNameI18NKey]="
            'sqtm-core.automation-workspace.functional-tester-view.global-view.label'
          "
        >
          @if (shouldShowResetFilterLink(activeFilters$ | async)) {
            <div projection="reset-filter-button">
              <sqtm-core-reset-filters-link
                (resetFiltersLinkPressed)="resetFilters()"
              ></sqtm-core-reset-filters-link>
            </div>
          }
          <div
            projection="automation-button-action"
            class="flex-row flex-fixed-size font-20-px m-auto panel-buttons"
            [attr.data-test-toolbar-id]="'global-view-toolbar'"
          >
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'transmit'"
              [active]="canEditRows$ | async"
              (clickedInActiveMode)="transmitSelection()"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:transmit"
                class="action-icon-size m-r-5"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.automation-workspace.functional-tester-view.buttons.transmit'
                    | translate
                "
              ></i>
            </sqtm-core-toggle-icon>
            <span
              class="font-20-px"
              nz-dropdown
              [nzDropdownMenu]="actionMenu"
              [nzPlacement]="'bottomCenter'"
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:more"
                nzTheme="outline"
                class="current-workspace-main-color"
              ></i>
            </span>
            <nz-dropdown-menu #actionMenu="nzDropdownMenu">
              <ul nz-menu [attr.data-test-menu-id]="'action-menu'">
                <li
                  nz-menu-item
                  [nzDisabled]="!(canEditRows$ | async)"
                  [attr.data-test-menu-item-id]="'suspended'"
                  (click)="changeStatusToSuspended()"
                >
                  {{
                    'sqtm-core.entity.automation-request.status.SUSPENDED'
                      | translate
                  }}
                </li>
                <li
                  nz-menu-item
                  [nzDisabled]="!(canEditRows$ | async)"
                  [attr.data-test-menu-item-id]="'ready-for-transmission'"
                  (click)="changeStatusToReady()"
                >
                  {{
                    'sqtm-core.entity.automation-request.status.READY_TO_TRANSMIT'
                      | translate
                  }}
                </li>
                <li
                  nz-menu-item
                  [nzDisabled]="!(canEditRows$ | async)"
                  [attr.data-test-menu-item-id]="'work-in-progress'"
                  (click)="changeStatusToWorkInProgress()"
                >
                  {{
                    'sqtm-core.entity.automation-request.status.WORK_IN_PROGRESS'
                      | translate
                  }}
                </li>
              </ul>
            </nz-dropdown-menu>
          </div>
        </sqtm-app-automation-workspace-header>
        <div class="flex-row full-width full-height m-b-10">
          <sqtm-app-functional-tester-workspace-anchors></sqtm-app-functional-tester-workspace-anchors>
          <div
            class="full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
          >
            @if (componentData.nbGlobalAutomReq > 0) {
              <sqtm-core-grid> </sqtm-core-grid>
            } @else {
              <div>
                <span class="m-r-10 txt-bold">{{
                  'sqtm-core.grid.empty-grid.label' | translate
                }}</span>
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-workspace-with-grid>
}
